Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 913120

Summary: maven-local: mvn-rpmbuild does not pass MAVEN_OPTS to Maven
Product: [Fedora] Fedora Reporter: Krzysztof Daniel <kdaniel>
Component: javapackages-toolsAssignee: Mikolaj Izdebski <mizdebsk>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: java-sig-commits, mbenitez, mizdebsk, msimacek, msrb, sochotni, tradej
Target Milestone: ---Keywords: Upstream
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 0.12.2-1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-20 12:52:29 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 863801, 914595    

Description Krzysztof Daniel 2013-02-20 12:37:41 UTC
To build Eclipse on arm it is necessary to disable JIT for certain method. This is done by:
export MAVEN_OPTS="-Xmx700m -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState"

Unfortunately, after the migration to xmvn, the build starting failing again as if the exclusion would not be applied. Is it possible that the MAVEN_OPTS is lost somewhere between calling 

mvn-rpmbuild clean install \
   -Dmaven.test.skip=true -Dnative=gtk.linux.%{eclipse_arch} -DskipTychoVersionCheck \
   -Dmaven.local.mode=true -Dtycho.local.keepTarget -Dbuilddoc=$((%{bootstrap} != 1))

and the underlying maven?

Comment 1 Mikolaj Izdebski 2013-02-20 12:39:43 UTC
mvn-rpmbuild is part of maven-local, not xmvn. Reassigning to javapackages-tool component.

Comment 2 Mikolaj Izdebski 2013-02-20 12:52:29 UTC
I believe that this bug is fixed in javapackages-tools-0.12.2-1,
which is available in Fedora Rawhide.  I am closing the bug now,
thank you for reporting it.  A summary of changes is included below.

* Wed Feb 20 2013 Mikolaj Izdebski <mizdebsk> - 0.12.2-1
- Update to upstream version 0.12.2
- Resolves: rhbz#913120 (MAVEN_OPTS are not passed to Maven)

Comment 3 Michael Simacek 2013-11-13 09:52:14 UTC
Testcase for mvn_build, which replaces mvn_rpmbuild, was added in commit 1f1487d.